/* Windowdefinition for KickSwitch.c
   geschrieben von Patrick Ohly
*/


struct TextAttr TOPAZ60 =
{
   (STRPTR)"topaz.font",
   TOPAZ_SIXTY,0,0
};

/* 3D-Effekt, daher zwei Teile fr den Rand */
SHORT GadgetVectorsLeftUpper[] =
{
   82,0, 0,0, 0,15
};

SHORT GadgetVectorsRightLower[] =
{
   82,1, 82,15, 1,15
};

/* Nicht selektierter Rand: */
struct Border GadgetBorderNormal2 =
{
	-1,-1, 1,0,JAM1,
	3, GadgetVectorsRightLower,
	NULL
};

struct Border GadgetBorderNormal1 =
{
	-1,-1, 2,0,JAM1,
	3, GadgetVectorsLeftUpper,
	&GadgetBorderNormal2
};

/* Selektierter Rand: */
struct Border GadgetBorderSelected2 =
{
	-1,-1, 2,0,JAM1,
	3, GadgetVectorsRightLower,
	NULL
};

struct Border GadgetBorderSelected1 =
{
	-1,-1, 1,0,JAM1,
	3, GadgetVectorsLeftUpper,
	&GadgetBorderSelected2
};

/* Text fr Cancel-Gadget: */
struct IntuiText CANCELText =
{
	1,0,JAM2, 13,3,
	&TOPAZ60, (UBYTE *)"CANCEL",
   NULL
};

/* Cancel-Gadget: */
struct Gadget CANCELGadget =
{
	NULL, 220,29, 83,14,
	GADGHIMAGE, RELVERIFY, BOOLGADGET,
	(APTR)&GadgetBorderNormal1,
	(APTR)&GadgetBorderSelected1,
	&CANCELText,
	0L, NULL, NULL, NULL
};

/* Text fr OK-Gadget: */
struct IntuiText OKText =
{
	1,0,JAM2, 29,3,
	&TOPAZ60, (UBYTE *)"OK",
	NULL
};

/* Sicherheitsabfrage: */
struct IntuiText QuestionText =
{
	1,0,JAM2, -2,-19,
	&TOPAZ60, (UBYTE *)"Wollen Sie wirklich rebooten?",
	&OKText
};

/* OK-Gadget: */
struct Gadget OKGadget =
{
	&CANCELGadget, 18,29, 81,14,
	GADGHIMAGE, RELVERIFY, BOOLGADGET,
	(APTR)&GadgetBorderNormal1,
	(APTR)&GadgetBorderSelected1,
	&QuestionText,
	0L, NULL, NULL, NULL
};

/* Hinweis-Text: */
struct IntuiText InfoText2 =
{
	1,0,JAM2, 1,27,
	&TOPAZ60, (UBYTE *)"drcken Sie die linke Maustaste!",
	NULL
};

struct IntuiText InfoText1 =
{
	1,0,JAM2, 18,10,
	&TOPAZ60, (UBYTE *)"Whlen Sie ein Kickstart und",
	&InfoText2
};

/* Kommunikationsfenster: */
struct NewWindow DialogNewWindow =
{
	0,0, 342,65, 0,1,
	GADGETUP+CLOSEWINDOW,
	WINDOWSIZING+WINDOWDRAG+WINDOWDEPTH+
   WINDOWCLOSE+GIMMEZEROZERO+ACTIVATE+NOCAREREFRESH,
	&OKGadget, NULL,
	(UBYTE *)"KickSwitch V1.1  Patrick Ohly",
	NULL, NULL,
	5,5, -1,-1,
	WBENCHSCREEN
};
